@import "variables";
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

#root {
  display: inline-flex;
  text-align: center;
  font-family: $roboto;
}

h1 {
  color: $primary-color;
}

#alertMessage {
  background-color: $gray;
  color: $white;
  display: flex;
  align-content: center;
  justify-content: center;
  align-items: center;
  width: 300px;
  height: 100px;
  padding: 0;
}

#alertMessageText {
  width: 300px;
}

ul {
  list-style-type: none;
  padding: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

li {
  width: 400px;
  text-align: left;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

#spanForButtons {
  padding: 0 0 0 50px;
  float: right;
}

.spanForText {
  cursor: pointer;
}

[hidden] {
  display: none !important;
}

.alert {
  margin-right: 250px;
}

.alert-hidden {
  margin-right: 250px;
  visibility: hidden;
}

.formButtons {
  display: flex;
}

button {
  background-color: transparent;
  height: 2.5em;
  width: 6em;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 16px;
  margin: 4px 2px;
  cursor: pointer;
  border-radius: 1em;
  transition: background-color 300ms ease-out;
}

.removeButton,
#cancelModification, {
  border: 2px solid $red;
  color: $red;
  &:hover {
    border: 2px solid $red;
    background-color: $red;
    color: $white;
  }
}

#addTweet,
#likedButton,
#backButton,
#saveModifiedItem,
.likeButton {
  border: 2px solid $primary-color;
  color: $primary-color;
  &:hover {
    border: 2px solid $primary-color;
    background-color: $primary-color;
    color: $white;
  }
}